Bug 1287215 - Linux only: when I print this file it changes colour (Samsung laser printer)
Linux only: when I print this file it changes colour (Samsung laser printer)
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zdenek Dohnal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-01 14:02 EST by Ryan Rowe
Modified: 2017-12-12 06:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 06:10:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the culprit (2.22 KB, image/svg+xml)
2015-12-01 14:02 EST, Ryan Rowe
no flags Details
troubleshooting output (32.58 KB, text/plain)
2015-12-15 16:28 EST, Ryan Rowe
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1521344 None None None Never

  None (edit)
Description Ryan Rowe 2015-12-01 14:02:28 EST
Created attachment 1100988 [details]
the culprit

This may be the wrong component. I am lost, it could be anywhere.

Description of problem:
I have an illustrator file which I converted to svg with inkscape.
When I print it, one of the characters changes colour to grey.
I have isolated this colour changing character in its own svg file: it still changes colour to gray when printed. Yes, I am printing in colour.

If I print from Firefox, it comes out the wrong colour.
From Inkscape, the wrong colour.
If I insert it into LibreOffice, and print it: wrong colour.
Create a PDF from LibreOffice, and print that: wrong colour.

But if I transfer that PDF to a Mac, and print it on a Mac, I get the correct colour.

And printing from within Inkscape on Windows prints the correct colour too.

So something Linux specific is happening here.

Version-Release number of selected component (if applicable):
cups-2.1.0-2.fc23.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Open the attached file c.svg in your favourite svg-understanding program (do not use a program that rasterises it, like the gimp).
2. Print in colour
3. Notice it changed colour

Actual results:


Expected results:


Additional info:
Comment 1 Jiri Popelka 2015-12-02 06:23:32 EST
Thanks,

we need to know what driver do you use.
Please follow
https://fedoraproject.org/wiki/How_to_debug_printing_problems#Printing_troubleshooter
and attach output from the printing troubleshooter here.
Comment 2 Ryan Rowe 2015-12-15 16:27:41 EST
Sorry it got marked as spam, here you go.
Comment 3 Ryan Rowe 2015-12-15 16:28 EST
Created attachment 1106188 [details]
troubleshooting output

Second try
Comment 4 Fedora Admin XMLRPC Client 2016-06-24 06:30:32 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora End Of Life 2016-11-24 08:52:40 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Ryan Rowe 2016-11-29 16:02:52 EST
With Fedora 25:

If I print from Firefox, it comes out the wrong colour.
From Inkscape, nothing ever leaves the printer.
From eog, I get colour!!
Comment 7 Fedora End Of Life 2017-11-16 14:40:54 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2017-12-12 06:10:04 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.